%define upstream_name    Net-OpenID-Consumer
%define upstream_version 1.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Object representing a verified OpenID identity
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::OpenID::Common) >= 1.130.0
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Local)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
This module provides an implementation of the Yadis protocol, which does
XRDS-based service discovery on URLs.

This module was originally developed by OHTSUKA Ko-hei as the
Net::Yadis::Discovery manpage, but was forked and simplified for inclusion
in the core OpenID Consumer package.

This simplified version is tailored for the needs of Net::OpenID::Consumer;
for other uses, the Net::Yadis::Discovery manpage is probably a better
choice.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.150.0-2.mga4
+ Revision: 534115
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.150.0-1.mga4
+ Revision: 476288
- update to 1.15

* Fri Jun 07 2013 jquelin <jquelin> 1.140.0-1.mga4
+ Revision: 439638
- update to 1.14

* Sun Jan 13 2013 umeabot <umeabot> 1.130.0-2.mga3
+ Revision: 370757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 18 2011 jquelin <jquelin> 1.130.0-1.mga3
+ Revision: 168733
- update to 1.13

* Wed Nov 09 2011 jquelin <jquelin> 1.110.0-1.mga2
+ Revision: 165932
- adding missing buildrequires:
- update to 1.11

* Sun Jan 23 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 34016
- mageia rebuild
- imported package perl-Net-OpenID-Consumer


* Mon Apr 26 2010 Nicolas Vigier <nvigier@mandriva.com> 1.30.0-1mdv2010.1
+ Revision: 539225
- import perl-Net-OpenID-Consumer


* Mon Apr 26 2010 cpan2dist 1.03-1mdv
- initial mdv release, generated with cpan2dist
